<?php

namespace domain\Config\Unit;

use domain\_\AbstractModule;

class UnitModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            UnitDefinition::class,
            UnitSolver::class
        ];
    }

    public function getDefinition(): UnitDefinition
    {
        return UnitDefinition::getInstance();
    }

    public function getSolver(): UnitSolver
    {
        return UnitSolver::getInstance();
    }
}